ZITADEL Docs
APIsCore ResourcesV2Session

DeleteSession

Terminate an existing session. This invalidates the session and its token. The session can no longer be used for the authentication of other resources or to authenticate against the Zitadel APIs.

You can only terminate your own session, unless you are granted the session.delete permission.

Required permissions:

  • session.delete
  • no permission required for own sessions or when providing the current session token
DELETE
/v2/sessions/{session_id}

Path Parameters

session_id*string

The unique identifier of the session to be terminated.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X DELETE "https://loading/v2/sessions/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "details": {
    "sequence": 0,
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string",
    "creationDate": "2023-01-15T01:30:15.01Z"
  }
}

Was this page helpful?